/*
 * "Peko" Visual Novel System
 *
 * All Rights Reserved.
 * Copyright (c) 1999-2003 Tsukuba Bunko.
 *
 * $Id: SaveDataInfo.java,v 1.1.2.1 2003/12/11 10:12:19 ppoi Exp $
 */
package tsukuba_bunko.peko.session;

import	java.io.Serializable;

import	java.util.Date;


/**
 * セーブデータの情報を格納する JavaBean です。
 * @author	$Author: ppoi $
 * @version	$Revision: 1.1.2.1 $
 */
public class SaveDataInfo	implements Serializable	{

	/**
	 * ID
	 */
	protected int	_id = 0;

	/**
	 * 保存時のタイムスタンプ
	 */
	protected Date	_timestamp = null;

	/**
	 * タイトル
	 */
	protected String	_title = null;

	/**
	 * コメント
	 */
	protected String	_comment = null;


	/**
	 * <code>SaveDataInfo</code> のインスタンスを生成します。
	 */
	public SaveDataInfo()
	{
		super();
	}


	/**
	 * セーブデータ ID を設定します。
	 * @param	id	セーブデータ ID
	 */
	public void setID( int id )
	{
		_id = id;
	}

	/**
	 * セーブデータ ID を取得します。
	 * @return	セーブデータ ID
	 */
	public int getID()
	{
		return _id;
	}

	/**
	 * タイトルを設定します。
	 * @param	title	タイトル
	 */
	public void setTitle( String title )
	{
		_title = title;
	}

	/**
	 * タイトルを取得します。
	 * @return	タイトル
	 */
	public String getTitle()
	{
		return _title;
	}

	/**
	 * コメントを設定します。
	 * @param	comment	コメント
	 */
	public void setComment( String comment )
	{
		_comment = comment;
	}

	/**
	 * コメントを取得します。
	 * @return	コメント
	 */
	public String getComment()
	{
		return _comment;
	}

	/**
	 * タイムスタンプを設定します。
	 * @param	timestamp	タイムスタンプ
	 */
	public void setTimestamp( Date timestamp )
	{
		_timestamp = timestamp;
	}

	/**
	 * タイムスタンプを取得します。
	 * @return	タイムスタンプ
	 */
	public Date getTimestamp()
	{
		return _timestamp;
	}
}